#pragma once

#include <cstddef>
#include <memory>

#include <Ship/Cargo.h>
#include <Ship/CargoFactory.h>

class AlcoholFactory : public CargoFactory<int> {
public:
    std::unique_ptr<Cargo> create(size_t amount, int power) override {
        return std::make_unique<Alcohol>(amount, power);
    }
};
